com.microfocus.awm.model.internal

## Class ApplicationProperty

- java.lang.Object
- - com.microfocus.awm.model.internal.AbstractInternalApplicationProperty
  - - com.microfocus.awm.model.internal.ApplicationProperty

- All Implemented Interfaces:
    IApplicationProperty

      public class ApplicationProperty
      extends AbstractInternalApplicationProperty

  An implementation of `IApplicationProperty`. The `ApplicationProperty` is a representation of a modeled application property.
  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationProperty(Property pProperty, RApplicationProperty pApplicationProperty, ITaurusApplication pApplication, IApplicationPropertyProxy pApplicationPropertyProxy)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearPropertyCache()` Clear the cache of the `IApplicationProperty`.
    `java.lang.String` | `getDefaultValue()` Return the default value of the `IApplicationProperty`.
    `EPropertyValueType` | `getPropertyType()` Return the `EPropertyValueType`.
    `void` | `initApplicationProperty(ITaurusApplication pApplication)` `IApplicationProperty.initApplicationProperty(ITaurusApplication)` is executed in the process of loading an `ITaurusApplication` after all `IApplicationProperty`s were created.

    - ### Methods inherited from class com.microfocus.awm.model.internal.AbstractInternalApplicationProperty

      `getApplication, getProperty, getPropertyValue, isConstant, isMandatory, refreshProperty, unloadProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationProperty

          public ApplicationProperty(Property pProperty,
                                     RApplicationProperty pApplicationProperty,
                                     ITaurusApplication pApplication,
                                     IApplicationPropertyProxy pApplicationPropertyProxy)

      Constructor.
      Parameters:
        `pProperty` - the property of the `IApplicationProperty`
        `pApplicationProperty` - the relationship `RApplicationProperty` to the `Property`
        `pApplication` - the `ITaurusApplication`
        `pApplicationPropertyProxy` - the `IApplicationPropertyProxy`. Can be `null`, if no cached values exist for this `IApplicationProperty`.

  - ### Method Detail

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Description copied from interface: `IApplicationProperty`
      Return the default value of the `IApplicationProperty`. This value is required to reset the value of an `IApplicationProperty`, for example if the cache becomes cleared. The default value must NOT be `null`.
      Returns:
        the default value of the `IApplicationProperty`. The default value must NOT be `null`.

    - #### getPropertyType

          public EPropertyValueType getPropertyType()

      Description copied from interface: `IApplicationProperty`
      Return the `EPropertyValueType`.
      Returns:
        the `EPropertyValueType`. Only the property types `EPropertyValueType.APPLICATION_PROPERTY` and `EPropertyValueType.STATIC_MASTER_CONFIGURATION` are supported for `IApplicationProperty`s.

    - #### clearPropertyCache

          public void clearPropertyCache()

      Description copied from interface: `IApplicationProperty`
      Clear the cache of the `IApplicationProperty`.

    - #### initApplicationProperty

          public void initApplicationProperty(ITaurusApplication pApplication)

      Description copied from interface: `IApplicationProperty`
      `IApplicationProperty.initApplicationProperty(ITaurusApplication)` is executed in the process of loading an `ITaurusApplication` after all `IApplicationProperty`s were created.
      Parameters:
        `pApplication` - the currently active application

Copyright © 2015 Micro Focus GmbH. All rights reserved.